| dialogs.h | Header File

Header File Index

Routines for creating dialogs

Functions

Dialog
  Shows and activates a dialog box given a pointer to a dialog structure.
DialogAdd
  Adds an item into a dialog box.
DialogAddPulldown
  Adds a pulldown menu into a dialog box.
DialogAddRequest
  Adds a request box into a dialog box.
DialogAddText
  Adds a text into a dialog box.
DialogAddTitle
  Adds a title bar and up to two buttons into a dialog box.
DialogDo
  Activates and shows a dialog box.
DialogNew
  Creates a new dialog box which can interact with the user program.
DialogNewSimple
  Creates a new dialog box.
DlgMessage
  Displays a message dialog box.
NoCallBack
  Dummy callback function doing nothing.
VarNew
  Displays the standard "New" dialog.
VarOpen
  Displays the standard "Open" dialog.
VarSaveAs
  Displays the standard "Save Copy As" dialog.

Constants

CENTER
  A constant to describe a centered position for dialogs.
H_NULL
  A null-handle value.
NULL
  A null-pointer value.

Predefined Types

Bool
  An enumeration to describe true or false values.
Buttons
  An enumeration to describe possible button types.
DialogNew_t
  Callback function type for DialogNew.
ESQ
  Represents a quantum within an expression.
HANDLE
  Represents a handle associated with an allocated memory block.
HSym
  A structure representing a symbol reference.
SCR_RECT
  A scructure for defining a rectangular area.
SCR_STATE
  A structure for saving the state of the graphics system.
WINDOW
  The main window-describing structure.

Note: If your program uses functions from this header file, you probably have to define `SET_FILE_IN_USE_BIT`.